#include "mesh.h"
#include "meshbuilder.h"
#include "postprocessor.h"
#include "sampler.h"
#include "shader.h"

namespace Msp {
namespace GL {

void PostProcessor::render(Renderer &, const Texture2D &color, const Texture2D &depth)
{
	render(color, depth);
}


PostProcessor::Template::Template():
	size_divisor(1)
{ }


PostProcessor::Template::Loader::Loader(Template &t):
	DataFile::ObjectLoader<Template>(t)
{
	add("size_divisor", &Template::size_divisor);
}

} // namespace GL
} // namespace Msp
