uniform Color
{
	vec4 tint;
} global_color;

#pragma MSP stage(vertex)
layout(location=0) in vec4 position;
layout(location=1) in vec4 color;
out VertexOut
{
	vec2 texcoord;
};
out VertexOut2
{
	vec4 color;
} vs_out;
void main()
{
	texcoord = position.xy*0.5+0.5;
	vs_out.color = color*global_color.tint;
	gl_Position = position;
}

/* Expected output: vertex
layout(location=0) in vec4 position;
void main()
{
	gl_Position = position;
}
*/
